> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update task column

> Updates or inserts a column value for a task. If the column key already exists, its value will be updated. If it doesn't exist, a new column will be added.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/tasks/{taskId}/columns
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/tasks/{taskId}/columns:
    post:
      tags:
        - Task
      summary: Update task column
      description: >-
        Updates or inserts a column value for a task. If the column key already
        exists, its value will be updated. If it doesn't exist, a new column
        will be added.
      parameters:
        - schema:
            type: string
          in: path
          name: taskId
          required: true
          description: The unique identifier of the task to update the column of.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The column key to update or insert.
                value:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                  nullable: true
                  description: The value to set for the column.
                type:
                  type: string
                  enum:
                    - string
                    - number
                    - boolean
                    - date
                    - datetime
                  description: >-
                    The semantic type of the column. Defaults to string when
                    omitted.
              required:
                - key
                - value
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Not Found, the task with the specified ID was not found.
                required:
                  - error
                additionalProperties: false

````